Table of Contents

Class JobsClient

Namespace
Nexus.Api.V1
Assembly
Nexus.Api.dll

Supports all classes in the .NET class hierarchy and provides low-level services to derived classes. This is the ultimate base class of all .NET classes; it is the root of the type hierarchy.

public class JobsClient : IJobsClient
Inheritance
JobsClient
Implements
Inherited Members

Methods

CancelJob(Guid)

Cancels the specified job.

public HttpResponseMessage CancelJob(Guid jobId)

Parameters

jobId Guid

Returns

HttpResponseMessage

CancelJobAsync(Guid, CancellationToken)

Cancels the specified job.

public Task<HttpResponseMessage> CancelJobAsync(Guid jobId, CancellationToken cancellationToken = default)

Parameters

jobId Guid
cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<HttpResponseMessage>

ClearCache(string, DateTime, DateTime)

Clears the aggregation data cache for the specified period of time.

public Job ClearCache(string catalogId, DateTime begin, DateTime end)

Parameters

catalogId string

The catalog identifier.

begin DateTime

Start date/time.

end DateTime

End date/time.

Returns

Job

ClearCacheAsync(string, DateTime, DateTime, CancellationToken)

Clears the aggregation data cache for the specified period of time.

public Task<Job> ClearCacheAsync(string catalogId, DateTime begin, DateTime end, CancellationToken cancellationToken = default)

Parameters

catalogId string

The catalog identifier.

begin DateTime

Start date/time.

end DateTime

End date/time.

cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<Job>

Export(ExportParameters)

Creates a new export job.

public Job Export(ExportParameters parameters)

Parameters

parameters ExportParameters

Export parameters.

Returns

Job

ExportAsync(ExportParameters, CancellationToken)

Creates a new export job.

public Task<Job> ExportAsync(ExportParameters parameters, CancellationToken cancellationToken = default)

Parameters

parameters ExportParameters

Export parameters.

cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<Job>

GetJobStatus(Guid)

Gets the status of the specified job.

public JobStatus GetJobStatus(Guid jobId)

Parameters

jobId Guid

Returns

JobStatus

GetJobStatusAsync(Guid, CancellationToken)

Gets the status of the specified job.

public Task<JobStatus> GetJobStatusAsync(Guid jobId, CancellationToken cancellationToken = default)

Parameters

jobId Guid
cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<JobStatus>

GetJobs()

Gets a list of jobs.

public IReadOnlyList<Job> GetJobs()

Returns

IReadOnlyList<Job>

GetJobsAsync(CancellationToken)

Gets a list of jobs.

public Task<IReadOnlyList<Job>> GetJobsAsync(CancellationToken cancellationToken = default)

Parameters

cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<IReadOnlyList<Job>>

RefreshDatabase()

Creates a new job which reloads all extensions and resets the resource catalog.

public Job RefreshDatabase()

Returns

Job

RefreshDatabaseAsync(CancellationToken)

Creates a new job which reloads all extensions and resets the resource catalog.

public Task<Job> RefreshDatabaseAsync(CancellationToken cancellationToken = default)

Parameters

cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<Job>

SyncGit(GitSyncRequest)

Creates a new Git synchronization job.

public Job SyncGit(GitSyncRequest parameters)

Parameters

parameters GitSyncRequest

Returns

Job

SyncGitAsync(GitSyncRequest, CancellationToken)

Creates a new Git synchronization job.

public Task<Job> SyncGitAsync(GitSyncRequest parameters, CancellationToken cancellationToken = default)

Parameters

parameters GitSyncRequest
cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<Job>